Page MenuHomePhabricator

Create popper Vue component
Closed, ResolvedPublic

Description

Create a new Vue component for the text popper.
The title text and notification text should be handed in as parameters to support easier translations.

Mockups:

dimension: 415px width (alternatively: as wide as constraint check popper)
height: variable. Mockup is 150px high, if you consider the pointy triangle part of it. (the triangle is 15px*11px)
thin line below head line: 1px #eaecf0
color of border: #A2A9B1 (but if constraints has a different one, take that)
width of border: 1px
shadow: drop-shadow(0 2px 1px rgba(0,0,0,0.3))
headline-font: 14px (or inherited equivalent), bold
"normal"-font: 14px, not bold, line height 20px (or 42857143em ?)

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterBasic Popper Vue component

Event Timeline

noarave created this task.Oct 24 2019, 9:41 AM
hoo added a subscriber: hoo.Oct 24 2019, 3:07 PM

Do we want/ need to use OOUI for this? It probably has something adequate for this?!

hoo added a comment.Oct 24 2019, 3:33 PM

Maybe OO.ui.PopupButtonWidget is what we should be using?

hoo added a comment.Oct 25 2019, 8:04 AM

I talked to @Tarrow about this yesterday and we decided it would probably be better to not use OOUI, but do this with Vue ourselves.

noarave claimed this task.Oct 28 2019, 9:44 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptOct 28 2019, 9:44 AM

Change 546878 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Basic Popper Vue component

https://gerrit.wikimedia.org/r/546878

Jan_Dittrich updated the task description. (Show Details)Oct 29 2019, 1:00 PM
Jan_Dittrich updated the task description. (Show Details)
Jan_Dittrich updated the task description. (Show Details)Oct 29 2019, 1:10 PM

Change 546878 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Basic Popper Vue component

https://gerrit.wikimedia.org/r/546878

Tarrow closed this task as Resolved.Oct 31 2019, 4:40 PM